%CREATE ACTIVEX OBJECT
h = actxserver('LogPolarMapper.CoLogPolarMapper');  

%READ ONE IMAGE FROM FILE	
img1 = imread('test1.bmp') ;							

%GET IMAGE SIZE
imgsize1 = size(img1);								

%GETS HANDLE TO ICAMERA INTERFACE
hcamera = h.camera;									

%SET CAMERA PROPERTY
hcamera.image_frame_lines = imgsize1(1);				

%SET CAMERA PROPERTY
hcamera.image_frame_columns = imgsize1(2);			

%SET CAMERA PROPERTY
hcamera.sensor_lines = 64;							

%SET CAMERA PROPERTY
hcamera.sensor_columns = 32;						

%SET CAMERA PROPERTY
hcamera.color_channels = 1;							

%GETS HANDLE TO ILOGPOLAR INTERFACE
hlogmap = h.logpolar;								

%SET LOGPOLAR MAPPING PROPERTY
hlogmap.rho_min = 10;								

%CONFIGURATION/CHECKING WITH DIALOG
propedit(h); 			

%ALLOCATE ACTIVEX INTERNAL RESOURCES
invoke(h,'create_logpolar_mapper');			

%MATLAB REPRESENTS DATA COLUMNWISE - USE THE TRANSPOSE
img1_t = img1'; 								

%MAPPING TO LOGPOLAR
invoke(h,'logmap',img1_t);					

%GET LOGPOLAR MAPPED IMAGE
b1 = h.log;									

%GET FOVEA PIXELS
f1 = h.fov;									

%SHOW LOGPOLAR IMAGE					
figure; imshow(b1');							

%MAPPING BACK TO CARTESIAN
c1 = invoke(h,'invmap', b1, f1);				

%SHOW REMAPPED IMAGE
imshow(c1');								

%DO THE SAME FOR A COLOR IMAGE
img2 = imread('test2.bmp') ;							
imgsize2 = size(img2);								
hcamera.image_frame_lines = imgsize2(1);				
hcamera.image_frame_columns = imgsize2(2);			
hcamera.color_channels = 3;	
hcamera.color_mode = 1;	%planar mode
propedit(h); 			
invoke(h,'create_logpolar_mapper');			
img2_t = matlab2c(img2,3); 								
invoke(h,'logmap',img2_t);					
b2 = c2matlab(h.log,3);									
f2 = h.fov;									
figure; imshow(b2);							

c2 = invoke(h,'invmap', matlab2c(b2,3), f2);				
figure; imshow(c2matlab(c2,3));								


%FREE ACTIVEX INTERNAL RESOURCES
invoke(h,'destroy_logpolar_mapper');			

%FREE ACTIVEX OBJECT
release(h);						
